Bug 1108447 (CVE-2014-4049)

Summary: CVE-2014-4049 php: heap-based buffer overflow in DNS TXT record parsing
Product: [Other] Security Response Reporter: Murray McAllister <mmcallis>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: angelo.alvarez, carnil, falonso, fedora, jorton, jrusnack, mmaslano, pgervase, rcollet, vdanen, webstack-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
A heap-based buffer overflow flaw was found in the way PHP parsed DNS TXT records. A malicious DNS server or a man-in-the-middle attacker could possibly use this flaw to execute arbitrary code as the PHP interpreter if a PHP application used the dns_get_record() function to perform a DNS query.
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-10-31 09:48:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1080180, 1108449, 1114521, 1119563, 1120503, 1120504, 1120981, 1149762, 1149771    
Bug Blocks: 1108453, 1149858    

Description Murray McAllister 2014-06-12 04:52:19 UTC
Stefan Esser pointed out that the following commit fixes a heap-based buffer overflow in DNS TXT record parsing:

https://github.com/php/php-src/commit/b34d7849ed90ced9345f8ea1c59bc8d101c18468

A malicious server or man-in-the-middle attacker could possibly use this flaw to execute arbitrary code as the PHP interpreter if a PHP application uses dns_get_record() to perform a DNS query.

Comment 1 Murray McAllister 2014-06-12 04:54:13 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1108449]

Comment 2 Murray McAllister 2014-06-12 05:01:07 UTC
CVE request: http://www.openwall.com/lists/oss-security/2014/06/12/2

Comment 8 Angelo Alvarez 2014-07-16 02:53:28 UTC
Would be nice if someone updated https://access.redhat.com/security/cve/CVE-2014-4049 to confirm the CVE affects or does not affect PHP, PHP53 packages for RHEL-5 and RHEL-6.

Comment 10 Vincent Danen 2014-07-17 16:19:53 UTC
Statement:

This issue did not affect the versions of php as shipped with Red Hat Enterprise Linux 5.

Comment 12 Martin Prpič 2014-07-28 11:12:45 UTC
IssueDescription:

A heap-based buffer overflow flaw was found in the way PHP parsed DNS TXT records. A malicious DNS server or a man-in-the-middle attacker could possibly use this flaw to execute arbitrary code as the PHP interpreter if a PHP application used the dns_get_record() function to perform a DNS query.

Comment 13 errata-xmlrpc 2014-08-06 05:15:35 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2014:1012 https://rhn.redhat.com/errata/RHSA-2014-1012.html

Comment 14 errata-xmlrpc 2014-08-06 06:06:08 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1013 https://rhn.redhat.com/errata/RHSA-2014-1013.html

Comment 17 errata-xmlrpc 2014-10-30 19:46:20 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections 1 for Red Hat Enterprise Linux 7
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.4 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6

Via RHSA-2014:1766 https://rhn.redhat.com/errata/RHSA-2014-1766.html

Comment 18 errata-xmlrpc 2014-10-30 19:47:52 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections 1 for Red Hat Enterprise Linux 7
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.4 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6

Via RHSA-2014:1765 https://rhn.redhat.com/errata/RHSA-2014-1765.html